import Vue from 'vue'
import App from './App'
import store from './store'
import router from './router'
import './plugins'
import '@/layouts/export'
import md5 from 'js-md5'
Vue.prototype.$md5 = md5
import moment from 'moment' //导入文件

import BaiduMap from 'vue-baidu-map'
//引用富文本编辑器
import VueQuillEditor from 'vue-quill-editor'
//引入富文本css
// require styles
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
//富文本编辑器添加实例
Vue.use(VueQuillEditor /* { default global options } */)

Vue.use(BaiduMap, {
  ak: 'SPNgHwv7R8Ve8iScBaoO8odKDUT9edKP', //使用申请的百度地图秘钥
})

Vue.prototype.$moment = moment
/*if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('@/utils/static')
  mockXHR()
}*/

Vue.config.productionTip = false

new Vue({
  el: '#vue-admin-beautiful',
  router,
  store,
  render: (h) => h(App),
})
